# DocuSign.eSign.Model.EnvelopeDefinition
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Accessibility** | **string** | Sets the document reading zones for screen reader applications.  This element can only be used if Document Accessibility is enabled for the account.   ###### Note: This information is currently generated from the DocuSign web console by setting the reading zones when creating a template, exporting the reading zone string information, and adding it here. | [optional] 
**AllowMarkup** | **string** | When set to **true**, Document Markup is enabled for envelope. Account must have Document Markup enabled to use this | [optional] 
**AllowReassign** | **string** | When set to **true**, the recipient can redirect an envelope to a more appropriate recipient. | [optional] 
**AllowRecipientRecursion** | **string** | When set to **true**, this enables the Recursive Recipients feature and allows a recipient to appear more than once in the routing order. | [optional] 
**Asynchronous** | **string** | When set to **true**, the envelope is queued for processing and the value of the &#x60;status&#x60; property is set to &#39;Processing&#39;. Additionally, get status calls return &#39;Processing&#39; until completed. | [optional] 
**Attachments** | [**List&lt;Attachment&gt;**](Attachment.md) |  | [optional] 
**AttachmentsUri** | **string** |  | [optional] 
**AuthoritativeCopy** | **string** | Specifies the Authoritative copy feature. If set to true the Authoritative copy feature is enabled. | [optional] 
**AutoNavigation** | **string** |  | [optional] 
**BrandId** | **string** | This sets the brand profile format used for the envelope. The value in the string is the brandId associated with the profile. Account branding must be enabled for the account to use this option. | [optional] 
**BrandLock** | **string** |  | [optional] 
**CertificateUri** | **string** | Retrieves a URI for an endpoint that allows you to easily retrieve certificate information. | [optional] 
**CompletedDateTime** | **string** | Specifies the date and time this item was completed. | [optional] 
**CompositeTemplates** | [**List&lt;CompositeTemplate&gt;**](CompositeTemplate.md) | A complex type that can be added to create envelopes from a combination of DocuSign templates and PDF forms. The basic envelope remains the same, while the Composite Template adds new document and template overlays into the envelope. There can be any number of Composite Template structures in the envelope. | [optional] 
**CreatedDateTime** | **string** | Indicates the date and time the item was created. | [optional] 
**CustomFields** | [**CustomFields**](CustomFields.md) |  | [optional] 
**CustomFieldsUri** | **string** | Contains a URI for an endpoint that you can use to retrieve the custom fields. | [optional] 
**DeclinedDateTime** | **string** | The date and time the recipient declined the document. | [optional] 
**DeletedDateTime** | **string** | Specifies the data and time the item was deleted. | [optional] 
**DeliveredDateTime** | **string** | Reserved: For DocuSign use only. | [optional] 
**Documents** | [**List&lt;Document&gt;**](Document.md) | Complex element contains the details on the documents in the envelope. | [optional] 
**DocumentsCombinedUri** | **string** |  | [optional] 
**DocumentsUri** | **string** | Contains a URI for an endpoint that you can use to retrieve the documents. | [optional] 
**EmailBlurb** | **string** | Optional element. This is the same as the email body. If specified it is included in email body for all envelope recipients. This can be a maximum of 10000 characters | [optional] 
**EmailSettings** | [**EmailSettings**](EmailSettings.md) |  | [optional] 
**EmailSubject** | **string** | Specifies the subject of the email that is sent to all recipients.  See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject. | [optional] 
**EnableWetSign** | **string** | When set to **true**, the signer is allowed to print the document and sign it on paper. | [optional] 
**EnforceSignerVisibility** | **string** | When set to **true**, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.  Your account must have Document Visibility enabled to use this. | [optional] 
**EnvelopeId** | **string** | The envelope ID of the envelope status that failed to post. | [optional] 
**EnvelopeIdStamping** | **string** | When set to **true**, Envelope ID Stamping is enabled. | [optional] 
**EnvelopeUri** | **string** | Contains a URI for an endpoint that you can use to retrieve the envelope or envelopes. | [optional] 
**EventNotification** | [**EventNotification**](EventNotification.md) |  | [optional] 
**InitialSentDateTime** | **string** |  | [optional] 
**Is21CFRPart11** | **string** | When set to **true**, indicates that this module is enabled on the account. | [optional] 
**IsSignatureProviderEnvelope** | **string** |  | [optional] 
**LastModifiedDateTime** | **string** | The date and time the item was last modified. | [optional] 
**LockInformation** | [**LockInformation**](LockInformation.md) |  | [optional] 
**MessageLock** | **string** | When set to **true**, prevents senders from changing the contents of &#x60;emailBlurb&#x60; and &#x60;emailSubject&#x60; properties for the envelope.   Additionally, this prevents users from making changes to the contents of &#x60;emailBlurb&#x60; and &#x60;emailSubject&#x60; properties when correcting envelopes.   However, if the &#x60;messageLock&#x60; node is set to true**** and the &#x60;emailSubject&#x60; property is empty, senders and correctors are able to add a subject to the envelope. | [optional] 
**Notification** | [**Notification**](Notification.md) |  | [optional] 
**NotificationUri** | **string** | Contains a URI for an endpoint that you can use to retrieve the notifications. | [optional] 
**Password** | **string** |  | [optional] 
**PurgeState** | **string** | Initiates a purge request. Valid values are: * documents_queued: Places envelope documents in the purge queue. * documents_and_metadata_queued: Places envelope documents and metadata in the purge queue.  | [optional] 
**Recipients** | [**Recipients**](Recipients.md) |  | [optional] 
**RecipientsLock** | **string** | When set to **true**, prevents senders from changing, correcting, or deleting the recipient information for the envelope. | [optional] 
**RecipientsUri** | **string** | Contains a URI for an endpoint that you can use to retrieve the recipients. | [optional] 
**SentDateTime** | **string** | The date and time the envelope was sent. | [optional] 
**SignerCanSignOnMobile** | **string** |  | [optional] 
**SigningLocation** | **string** | Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online. | [optional] 
**Status** | **string** | Indicates the envelope status. Valid values are:  * sent - The envelope is sent to the recipients.  * created - The envelope is saved as a draft and can be modified and sent later. | [optional] 
**StatusChangedDateTime** | **string** | The data and time the status changed. | [optional] 
**TemplateId** | **string** | The unique identifier of the template. If this is not provided, DocuSign will generate a value.  | [optional] 
**TemplateRoles** | [**List&lt;TemplateRole&gt;**](TemplateRole.md) | Specifies the template recipients. Each roleName in the template must have a recipient assigned to it. This is made up elements:  * email - The recipient’s email address. * name - The recipient’s name. * roleName - The template roleName associated with the recipient. * clientUserId - Optional, this sets if the signer is This specifies if the recipient is embedded or remote. If the clientUserId is not null then the recipient is embedded. Note that if a ClientUserId is used and the account settings SignerMustHaveAccount or SignerMustLoginToSign are true, an error is generated on sending. * defaultRecipient - Optional, When set to **true**, this recipient is the default recipient and any tabs generated by the transformPdfFields option are mapped to this recipient. * routingOrder - This specifies the routing order of the recipient in the envelope. * accessCode - This optional element specifies the access code a recipient has to enter to validate the identity. This can be a maximum of 50 characters. * inPersonSignerName - Optional, if the template role is an in person signer, this is the full legal name of the signer. This can be a maximum of 100 characters. * emailNotification - This is an optional complex element that has a role specific emailSubject, emailBody, and language. It follows the same format as the emailNotification node for Recipients. * tabs - This allows the tab values to be specified for matching to tabs in the template.  | [optional] 
**TemplatesUri** | **string** | Contains a URI for an endpoint which you can use to retrieve the templates. | [optional] 
**TransactionId** | **string** |  Used to identify an envelope. The id is a sender-generated value and is valid in the DocuSign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The &#x60;transactionId&#x60; property can be used determine an envelope&#39;s status (i.e. was it created or not) in cases where the internet connection was lost before the envelope status was returned. | [optional] 
**UseDisclosure** | **string** | When set to **true**, the disclosure is shown to recipients in accordance with the account’s Electronic Record and Signature Disclosure frequency setting. When set to **false**, the Electronic Record and Signature Disclosure is not shown to any envelope recipients.   If the &#x60;useDisclosure&#x60; property is not set, then the account&#39;s normal disclosure setting is used and the value of the &#x60;useDisclosure&#x60; property is not returned in responses when getting envelope information. | [optional] 
**VoidedDateTime** | **string** | The date and time the envelope or template was voided. | [optional] 
**VoidedReason** | **string** | The reason the envelope or template was voided. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

