# DocuSign.eSign.Model.TemplateTabs
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ApproveTabs** | [**List&lt;Approve&gt;**](Approve.md) | Specifies a tag on the document where you want the recipient to approve documents in an envelope without placing a signature or initials on the document. If the recipient clicks the Approve tag during the signing process, the recipient is considered to have signed the document. No information is shown on the document for the approval, but it is recorded as a signature in the envelope history. | [optional] 
**CheckboxTabs** | [**List&lt;Checkbox&gt;**](Checkbox.md) | Specifies a tag on the document in a location where the recipient can select an option. | [optional] 
**CompanyTabs** | [**List&lt;Company&gt;**](Company.md) | Specifies a tag on the document where you want the recipient&#39;s company name to appear.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 
**DateSignedTabs** | [**List&lt;DateSigned&gt;**](DateSigned.md) | Specifies a tab on the document where the date the document was signed will automatically appear. | [optional] 
**DateTabs** | **List&lt;DateTime?&gt;** | Specifies a tab on the document where you want the recipient to enter a date. Date tabs are single-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained.   If you need a particular date format enforced, DocuSign recommends using a Text tab with a Validation Pattern and Validation Message to enforce the format. | [optional] 
**DeclineTabs** | [**List&lt;Decline&gt;**](Decline.md) | Specifies a tag on the document where you want to give the recipient the option of declining an envelope. If the recipient clicks the Decline tag during the signing process, the envelope is voided. | [optional] 
**EmailAddressTabs** | [**List&lt;EmailAddress&gt;**](EmailAddress.md) | Specifies a location on the document where you want where you want the recipient’s email, as entered in the recipient information, to display. | [optional] 
**EmailTabs** | [**List&lt;Email&gt;**](Email.md) | Specifies a tag on the document where you want the recipient to enter an email. Email tags are single-line fields that accept any characters. The system checks that a valid email format (i.e. xxx@yyy.zzz) is entered in the tag. It uses the same parameters as a Text tab, with the validation message and pattern set for email information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 
**EnvelopeIdTabs** | [**List&lt;EnvelopeId&gt;**](EnvelopeId.md) | Specifies a tag on the document where you want the envelope ID for to appear. Recipients cannot enter or change the information in this tab, it is for informational purposes only. | [optional] 
**FirstNameTabs** | [**List&lt;FirstName&gt;**](FirstName.md) | Specifies tag on a document where you want the recipient&#39;s first name to appear. This tag takes the recipient&#39;s name, as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name. | [optional] 
**FormulaTabs** | [**List&lt;FormulaTab&gt;**](FormulaTab.md) | Specifies a tag that is used to add a calculated field to a document. Envelope recipients cannot directly enter information into the tag; the formula tab calculates and displays a new value when changes are made to the reference tag values. The reference tag information and calculation operations are entered in the \&quot;formula\&quot; element. See the [ML:Using the Calculated Fields Feature] quick start guide or [ML:DocuSign Service User Guide] for more information about formulas. | [optional] 
**FullNameTabs** | [**List&lt;FullName&gt;**](FullName.md) | Specifies a tag on the document where you want the recipient&#39;s name to appear. | [optional] 
**InitialHereTabs** | [**List&lt;InitialHere&gt;**](InitialHere.md) | Specifies a tag location in the document at which a recipient will place their initials. The &#x60;optional&#x60; parameter specifies whether the initials are required or optional. | [optional] 
**LastNameTabs** | [**List&lt;LastName&gt;**](LastName.md) | Specifies a tag on a document where you want the recipient’s last name to appear. This tag takes the recipient’s name, as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name. | [optional] 
**ListTabs** | **List&lt;List&gt;** | Specify this tag to give your recipient a list of options, presented as a drop-down list, from which they can select. | [optional] 
**NoteTabs** | [**List&lt;Note&gt;**](Note.md) | Specifies a location on the document where you want to place additional information, in the form of a note, for a recipient. | [optional] 
**NumberTabs** | [**List&lt;Number&gt;**](Number.md) | Specifies a tag on the document where you want the recipient to enter a number. It uses the same parameters as a Text tab, with the validation message and pattern set for number information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.  | [optional] 
**RadioGroupTabs** | [**List&lt;RadioGroup&gt;**](RadioGroup.md) | Specifies a tag on the document in a location where the recipient can select one option from a group of options using a radio button. The radio buttons do not have to be on the same page in a document. | [optional] 
**SignerAttachmentTabs** | [**List&lt;SignerAttachment&gt;**](SignerAttachment.md) | Specifies a tag on the document when you want the recipient to add supporting documents to an envelope. | [optional] 
**SignHereTabs** | [**List&lt;SignHere&gt;**](SignHere.md) | A complex type the contains information about the tag that specifies where the recipient places their signature in the document. The \&quot;optional\&quot; parameter sets if the signature is required or optional.  | [optional] 
**SsnTabs** | [**List&lt;Ssn&gt;**](Ssn.md) | Specifies a tag on the document where you want the recipient to enter a Social Security Number (SSN). A SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 
**TextTabs** | [**List&lt;Text&gt;**](Text.md) | Specifies a that that is an adaptable field that allows the recipient to enter different text information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 
**TitleTabs** | [**List&lt;Title&gt;**](Title.md) | Specifies a tag on the document where you want the recipient&#39;s title to appear.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 
**ViewTabs** | [**List&lt;View&gt;**](View.md) |  | [optional] 
**ZipTabs** | [**List&lt;Zip&gt;**](Zip.md) | Specifies a tag on the document where you want the recipient to enter a ZIP code. The ZIP code can be a five numbers or the ZIP+4 format with nine numbers. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information.  When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

